Bug 186823 - Patch for: Edit->Find Usages should be grayed (disabled) when no projects opened
Patch for: Edit->Find Usages should be grayed (disabled) when no projects opened
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Refactoring
6.x
All All
: P4 (vote)
: 8.0.1
Assigned To: Ralph Ruijs
issues@editor
: PATCH_AVAILABLE, USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 15:52 UTC by dlipin
Modified: 2014-05-23 02:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (850 bytes, patch)
2013-03-11 00:20 UTC, markiewb
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dlipin 2010-05-27 15:52:25 UTC
Steps to reproduce:
1) Start IDE with fresh user dir
2) Open "Edit" menu and see "Find Usages" item enabled
3) Invoking it results in "... cannot be applied in this context" message box

It it cannot be applied then this menu item should be grayed (disabled).


Product Version: NetBeans IDE 6.9 RC2 (Build 201005262201)
Java: 1.6.0_18; Java HotSpot(TM) Client VM 16.0-b13
System: Windows XP version 5.1 running on x86; Cp1251; ru_RU (nb)
Userdir: C:\Documents and Settings\Lipin\.netbeans\6.9rc2
Comment 1 markiewb 2012-12-17 18:52:53 UTC
Set target-milestone of open issue to TBD (was < 7.3, f.e. 6.8), so the issue doesn't get lost.
Comment 2 markiewb 2012-12-17 19:03:51 UTC
Set target-milestone of open issue to TBD (was < 7.3, f.e. 6.8), so the issue
doesn't get lost. This time the target milestone is really set.
Comment 3 markiewb 2013-03-11 00:20:19 UTC
Created attachment 132436 [details]
Proposed patch

I like to propose this little patch to solve the issue. The action is only enabled when there is at least one ActionsImplementationProvider supports the current context.

@NB-Devs: Please review, discuss and commit. Thank you
Comment 4 markiewb 2013-05-01 19:35:34 UTC
@Miroslav: Any change to get the patch integrated into 7.4?
Comment 5 Ralph Ruijs 2014-05-20 14:04:20 UTC
Integrated into jet-main #d00c9fa3f6b6
Comment 6 Quality Engineering 2014-05-23 02:45:39 UTC
Integrated into 'main-silver', will be available in build *201405230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d00c9fa3f6b6
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: #186823 - Edit->Find Usages grayed when there is no provider for the current context


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo